# $Revision: 1.29 $, $Date: 2004/04/26 19:06:09 $
Summary:	Programs for maintaining networked machines' time synchronization
Summary(de):	TCP/IP-Time-of-Day-Server
Summary(fr):	Serveur horaire TCP/IP
Summary(pl):	Serwer usugi umoliwiajcej synchronizacj czasu midzy komputerami
Summary(tr):	TCP/IP gnn saati sunucusu
Name:		timed
Version:	0.17
Release:	5
License:	BSD
Group:		Daemons
Source0:	ftp://ftp.linux.org.uk/pub/linux/Networking/netkit/netkit-%{name}-%{version}.tar.gz
# Source0-md5:	1bffb4db753d9e5be227e444cf119bfe
Patch0:		%{name}-gcc2.96.patch
Patch1:		%{name}-DoS.patch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	intimed

%description
The timed package contains the timed daemon and the timedc program for
controlling the timed program. Timed synchronizes its host machine's
time with the time on other local network machines. The timedc program
is used to control and configure the operation of timed and allow:

 - measure the differences between machines' clocks,
 - find the location where the master time server is running,
 - enable or disable tracing of messages received by timed,
 - perform various debugging actions.

%description -l de
Dieser Server mit Zeitgeber ermglicht es einem entfernten Rechner,
die Uhrzeit des Rechners abzufragen, auf dem der Server luft. So
knnen Sie auf einfache Weise die Uhrzeit im gesamten Netzwerk
synchronisieren.

%description -l fr
Ce serveur timed permet aux machines distantes de demander la date du
jour  la machine sur laquelle tourne le serveur. Ceci permet une
synchronisation simple du temps  travers un rseau.

%description -l pl
Pakiet timed zawiera serwer usugi serwujcej biecy czas o nazwie
timed i program timedc umoliwiajce kontrol programu timed. Program
timedc umoliwia m.in.:

- pomiar w ustawienaich czasu midzy komputerami,
- odszukiwanie nadrzdnych serwerw czasu,
- wczanie i wyczanie ledzenia komunikatw otrzymywanych przez
  timed,
- diagnostyk pracy timed.

%description -l tr
timed sunucusu uzak makinelerin sunucuya balanarak zaman
renmelerini salar. Bu, bir a zerindeki eitli makinalarn
saatlerinin e tutulabilmeleri amacyla kullanlr.

%prep
%setup -q -n netkit-timed-%{version}
%patch0 -p1
%patch1 -p1

%build
CFLAGS="%{rpmcflags}"; export CFLAGS
./configure --with-c-compiler=gcc
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sbindir},%{_mandir}/man{1,8}}

%{__make} install \
	INSTALLROOT=$RPM_BUILD_ROOT \
	MANDIR=%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: timed.spec,v $
Revision 1.29  2004/04/26 19:06:09  adamg
- release 5 for Ac (4 is for Ra)

Revision 1.28  2003/05/28 13:02:16  malekith
- massive attack: source-md5

Revision 1.27  2003/05/25 06:27:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.26  2002/02/23 04:49:04  kloczek
- adapterized.

Revision 1.25  2002/02/22 23:29:48  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.24  2002/02/12 16:37:58  kloczek
- release 4.

Revision 1.23  2002/01/18 02:15:11  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.22  2001/10/10 18:40:15  qboosh
- s/bierzc/biec/ in pl descriptions

Revision 1.21  2001/10/09 12:59:20  qboosh
- fixed typos, removed gzipping of man pages

Revision 1.20  2001/08/22 17:28:57  filon
- removed stripping executables, it's done by rpm automation

Revision 1.19  2001/04/24 05:27:47  kloczek
- intimed added to Obsletes.

Revision 1.18  2001/04/24 05:26:23  kloczek
- merge gcc2.96 patch from MDK and DoS patch from Conectiva.
NOTE: missing init script for configure (look at timed(8)) and manage
timed daemon.

Revision 1.17  2001/04/24 05:13:12  kloczek
- release 3,
- spec adapterized.

Revision 1.16  2001/04/13 11:33:51  orzech

- typo fix

Revision 1.15  2000/09/26 16:25:35  baggins
- finished updated to 0.17
- fixed init scripts

Revision 1.14  2000/08/24 21:31:04  pascalek
- update to 0.17

Revision 1.13  2000/06/09 07:24:00  kloczek
- added using %%{__make} macro.

Revision 1.12  2000/04/10 17:06:18  baggins
- more spelling fixes

Revision 1.11  2000/04/10 15:39:03  mis
- typos

Revision 1.10  2000/04/01 11:15:42  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.9  2000/02/14 04:15:37  kloczek
- simplification in %files.

Revision 1.8  2000/02/14 02:48:22  kloczek
- updated to 0.16,
- patches list revisited.

Revision 1.6  1999/10/29 10:49:51  baggins
- removed connections to inetd - my fault, this daemon does not run from inetd

Revision 1.5  1999/10/19 21:59:59  kloczek
- added de, fr, tr translations from Bero spec file,
- added pl translation.

Revision 1.4  1999/10/19 17:09:16  baggins
- added prereq:rc-inetd

Revision 1.3  1999/10/19 16:59:15  baggins
- added rc-inetd support

Revision 1.2  1999/08/24 13:47:36  baggins
- cleanup for PLD (FHS 2.0, macros)

Revision 1.1  1999/08/19 20:07:27  baggins
almost raw

* Sat Apr 17 1999 Jeff Johnson <jbj@redhat.com>
- fix ifreq size problem.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 22)

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Jul 15 1997 Erik Troan <ewt@redhat.com>
- initial build
